package com.cweb.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("sysConfig")
@ConfigurationProperties
@PropertySource("classpath:/config.properties")
public class SysConfig {

	private String fileUrl;

    private String wxAppId;
    private String wxAppSecret;

    private String wxH5AppId;
    private String wxH5AppSecret;

    private String wxApiKey;
    private String wxMchId;
    private String wxMchAppId;
    private String wxSubAppId;
    private String wxSubMchId;
    private String wxUnifiedOrderUrl;
    private String couponCodePath;
    private String notifyUrl;
    private String imgUrl;
    private String qzNotifyUrl;

    private String wxGzSubAppId;
    private String wxGzSubMchId;
    private String qrCodeUrl;

//    重庆电子商务有限公司
    private String HDAppId;

    public String getQzNotifyUrl() {
        return qzNotifyUrl;
    }

    public void setQzNotifyUrl(String qzNotifyUrl) {
        this.qzNotifyUrl = qzNotifyUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getWxAppId() {
        return wxAppId;
    }

    public void setWxAppId(String wxAppId) {
        this.wxAppId = wxAppId;
    }

    public String getWxAppSecret() {
        return wxAppSecret;
    }

    public void setWxAppSecret(String wxAppSecret) {
        this.wxAppSecret = wxAppSecret;
    }

    public String getWxH5AppId() {
        return wxH5AppId;
    }

    public void setWxH5AppId(String wxH5AppId) {
        this.wxH5AppId = wxH5AppId;
    }

    public String getWxH5AppSecret() {
        return wxH5AppSecret;
    }

    public void setWxH5AppSecret(String wxH5AppSecret) {
        this.wxH5AppSecret = wxH5AppSecret;
    }

    public String getWxApiKey() {
        return wxApiKey;
    }

    public void setWxApiKey(String wxApiKey) {
        this.wxApiKey = wxApiKey;
    }

    public String getWxMchId() {
        return wxMchId;
    }

    public void setWxMchId(String wxMchId) {
        this.wxMchId = wxMchId;
    }

    public String getWxMchAppId() {
        return wxMchAppId;
    }

    public void setWxMchAppId(String wxMchAppId) {
        this.wxMchAppId = wxMchAppId;
    }

    public String getWxSubAppId() {
        return wxSubAppId;
    }

    public void setWxSubAppId(String wxSubAppId) {
        this.wxSubAppId = wxSubAppId;
    }

    public String getWxSubMchId() {
        return wxSubMchId;
    }

    public void setWxSubMchId(String wxSubMchId) {
        this.wxSubMchId = wxSubMchId;
    }

    public String getWxUnifiedOrderUrl() {
        return wxUnifiedOrderUrl;
    }

    public void setWxUnifiedOrderUrl(String wxUnifiedOrderUrl) {
        this.wxUnifiedOrderUrl = wxUnifiedOrderUrl;
    }

    public String getCouponCodePath() {
        return couponCodePath;
    }

    public void setCouponCodePath(String couponCodePath) {
        this.couponCodePath = couponCodePath;
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl;
    }

    public String getHDAppId() {
        return HDAppId;
    }

    public void setHDAppId(String HDAppId) {
        this.HDAppId = HDAppId;
    }

    public String getWxGzSubAppId() {
        return wxGzSubAppId;
    }

    public void setWxGzSubAppId(String wxGzSubAppId) {
        this.wxGzSubAppId = wxGzSubAppId;
    }

    public String getWxGzSubMchId() {
        return wxGzSubMchId;
    }

    public void setWxGzSubMchId(String wxGzSubMchId) {
        this.wxGzSubMchId = wxGzSubMchId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getQrCodeUrl() {
        return qrCodeUrl;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }
}
